List folders
Returns a paginated list of folders. This does not include files like emails, components, etc.
- Type: integerpagemin:1
The page number of results you want to display. Use with
limit. - Type: integerlimitmin:1max:10000
Limit the number of results per page.
- Type: stringFormat: uuidparent
_folder _id Filter by parent folder. Must reference an existing folder. If not set, the response filters by the root level directory.
To list only items in the root folder, leave
parent_folder_idunset and only setdirect_descendants_onlytotrue. - Type: booleandirect
_descendants _only If true, this returns only children of the parent folder.
- Type: stringenumsort
_by values- created
- updated
- name
- Type: stringenumsort
_order values- asc
- desc
- Type: integerFormat: Unix timestampcreated
_before Return records created before this time. Must be a unix timestamp.
- Type: integerFormat: Unix timestampcreated
_after Return records created after this time. Must be a unix timestamp.
- Type: integerFormat: Unix timestampupdated
_before Return records updated before this time. Must be a unix timestamp.
- Type: integerFormat: Unix timestampupdated
_after Return records updated after this time. Must be a unix timestamp.
- application/json
- application/json
- application/json
- application/json
curl 'https://api.customer.io/v1/design_studio/folders?page=1&limit=1000&parent_folder_id=&direct_descendants_only=false&sort_by=created&sort_order=asc&created_before=1773856017&created_after=1773856017&updated_before=1773856017&updated_after=1773856017'
{
"folders": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Product Announcements",
"parent_folder_id": null,
"created": 1714732800,
"updated": 1714732800
}
],
"meta": {
"pagination": {
"page": 1,
"limit": 1,
"total": 1
},
"filters": {
"parent_folder_id": "123e4567-e89b-12d3-a456-426614174000",
"direct_descendants_only": true,
"sort_by": "created",
"sort_order": "desc",
"created_before": 1714732800,
"created_after": null,
"updated_before": null,
"updated_after": null
}
}
}Successful response